// --- Fonction d'Instance ---
function objet_XMLHttpRequest()
{
 var XHReq = null; 
 if (window.XMLHttpRequest || window.ActiveXObject){
  if(window.ActiveXObject){
   try{
    XHReq = new ActiveXObject("Msxml2.XMLHTTP");
   }
   catch(e){
    XHReq = new ActiveXObject("Microsoft.XMLHTTP");
   }
  }
  else{
   XHReq = new XMLHttpRequest();
  }
 }
 else{
  alert("Votre navigateur ne supporte pas l'objet XMLHTTPRequest...");
  return null;
 }
 return XHReq;
}
// --- Fonction d'envoie des données ---
function FctAgenceDebit(id)
{
 //--- déclaration d'un objet ---
 var obj1 = objet_XMLHttpRequest();
 // --- Définition de l'action sur réponse ---
 obj1.onreadystatechange = function()
 {
  // --- si tout a été reçu et que le serveur est ok ---
  if(obj1.readyState == 4 && obj1.status == 200){
   //--- envoie de la réponse dans le div "blocClientDebit" ---
   document.getElementById('blocClientDebit').innerHTML = obj1.responseText;
  }
  //--- problème côté Ajax ---
  else{
   // --- Contrôle du statut. Si 404, le fichier ouvert par "open" n'existe pas ---
   if(obj1.status == 404){
    alert('Erreur ' +obj1.status + '! Le fichier php est absent !');
   }
  }
 }
 // --- Ouverture : méthode, fichier, mode (true=asynchrone | false=synchrone) ---
 obj1.open("POST", "traitement_clients_debit_prepare.php" , true);
 obj1.setRequestHeader("Content-type","application/x-www-form-urlencoded");
 // --- envoie de la donnée ---
 obj1.send("agenceD=" + id);
}
// --- Fonction d'envoie des données ---
function FctClientDebit(id)
{
 //--- déclaration d'un objet ---
 var obj1 = objet_XMLHttpRequest();
 // --- Définition de l'action sur réponse ---
 obj1.onreadystatechange = function()
 {
  // --- si tout a été reçu et que le serveur est ok ---
  if(obj1.readyState == 4 && obj1.status == 200){
   //--- envoie de la réponse dans le div "blocClientDebit" ---
   document.getElementById('blocCompteDebit').innerHTML = obj1.responseText;
  }
  //--- problème côté Ajax ---
  else{
   // --- Contrôle du statut. Si 404, le fichier ouvert par "open" n'existe pas ---
   if(obj1.status == 404){
    alert('Erreur ' +obj1.status + '! Le fichier php est absent !');
   }
  }
 }
 // --- Ouverture : méthode, fichier, mode (true=asynchrone | false=synchrone) ---
 obj1.open("POST", "traitement_comptes_debit_prepare.php" , true);
 obj1.setRequestHeader("Content-type","application/x-www-form-urlencoded");
 // --- envoie de la donnée ---
 obj1.send("clientD=" + id);
}
// --- Fonction d'envoie des données ---
function FctAgenceCredit(id)
{
 //--- déclaration d'un objet ---
 var obj1 = objet_XMLHttpRequest();
 // --- Définition de l'action sur réponse ---
 obj1.onreadystatechange = function()
 {
  // --- si tout a été reçu et que le serveur est ok ---
  if(obj1.readyState == 4 && obj1.status == 200){
   //--- envoie de la réponse dans le div "blocClientDebit" ---
   document.getElementById('blocClientCredit').innerHTML = obj1.responseText;
  }
  //--- problème côté Ajax ---
  else{
   // --- Contrôle du statut. Si 404, le fichier ouvert par "open" n'existe pas ---
   if(obj1.status == 404){
    alert('Erreur ' +obj1.status + '! Le fichier traitement_clients_credit_prepare.php est absent !');
   }
  }
 }
 // --- Ouverture : méthode, fichier, mode (true=asynchrone | false=synchrone) ---
 obj1.open("POST", "traitement_clients_credit_prepare.php" , true);
 obj1.setRequestHeader("Content-type","application/x-www-form-urlencoded");
 // --- envoie de la donnée ---
 obj1.send("agenceC=" + id);
}
// --- Fonction d'envoie des données ---
function FctClientCredit(id)
{
 //--- déclaration d'un objet ---
 var obj1 = objet_XMLHttpRequest();
 // --- Définition de l'action sur réponse ---
 obj1.onreadystatechange = function()
 {
  // --- si tout a été reçu et que le serveur est ok ---
  if(obj1.readyState == 4 && obj1.status == 200){
   //--- envoie de la réponse dans le div "blocClientDebit" ---
   document.getElementById('blocCompteCredit').innerHTML = obj1.responseText;
  }
  //--- problème côté Ajax ---
  else{
   // --- Contrôle du statut. Si 404, le fichier ouvert par "open" n'existe pas ---
   if(obj1.status == 404){
    alert('Erreur ' +obj1.status + '! Le fichier php est absent !');
   }
  }
 }
 // --- Ouverture : méthode, fichier, mode (true=asynchrone | false=synchrone) ---
 obj1.open("POST", "traitement_comptes_credit_prepare.php" , true);
 obj1.setRequestHeader("Content-type","application/x-www-form-urlencoded");
 // --- envoie de la donnée ---
 obj1.send("clientC=" + id);
}

